List brands
curl --request GET \
--url https://api.sendo.dev/v1/brand/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sendo.dev/v1/brand/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendo.dev/v1/brand/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brands": [
{
"id": "h4cQ2gls",
"createdAt": "2023-12-12T12:33:33.630Z",
"updatedAt": "2023-12-12T12:33:33.630Z",
"status": "VERIFIED",
...
},
{
"id": "A8wm4k2s",
"createdAt": "2023-12-07T12:33:33.630Z",
"updatedAt": "2023-12-08T12:33:33.630Z",
"status": "VETTED",
...
}
And so on...
]
}
{
"brands": [],
"error": "Internal server error"
}
Brand
List brands
This endpoint lists your brands.
GET
/
v1
/
brand
/
list
List brands
This endpoint lists your submitted brands. Brands in
DRAFT status will not be returned. Click here for more information about brands.
URL Params
number
The number of brands to return (default 10).
number
The number of brands to skip (i.e. offset).
Response
[brand]
An array of brand objects returned.
Show brand fields
Show brand fields
string
The ID of the retrieved brand.
timestamp
The time that the brand was created.
timestamp
The time the brand was last updated.
string
string
number
Trust score if the brand is vetted.
string
The display name or DBA name of the brand.
string
The name of the brand’s legal entity.
string
The EIN for the brand’s legal entity.
string
The website URL for the brand.
string
The privacy policy URL for the brand.
string
string
Error message if the request fails.
{
"brands": [
{
"id": "h4cQ2gls",
"createdAt": "2023-12-12T12:33:33.630Z",
"updatedAt": "2023-12-12T12:33:33.630Z",
"status": "VERIFIED",
...
},
{
"id": "A8wm4k2s",
"createdAt": "2023-12-07T12:33:33.630Z",
"updatedAt": "2023-12-08T12:33:33.630Z",
"status": "VETTED",
...
}
And so on...
]
}
{
"brands": [],
"error": "Internal server error"
}
⌘I

